#!D:/IDE/anaconda3/envs/Microscope_Scan python
# -*- coding: UTF-8 -*-
"""
@FileName：SelectClassifierBusiness.py
@Description：
@Author：XSH
@Time：2025/12/2 17:49
@Department：研发部
@Copyright：©2025 乐辰生物
"""
from PyQt5 import Qt
from abc import abstractmethod, abstractclassmethod, abstractstaticmethod
from AppInterfaces.utils                    import *
from AppSettings.utils                      import *
from AppCore.Requests                       import *
from AppInterfaces.Interfaces               import *
from AppCore.Levels                         import *
from AppUtils.utils                         import *
from AppBackEnd.WebBusinessInterface import WebBusinessInterface


class SelectClassifierBusiness(Qt.QObject, WebBusinessInterface):
    def __init__(self, manager: WebReaderInterface = None, parent: Qt.QObject = None):
        super(SelectClassifierBusiness, self).__init__(parent=parent)
        self.Manager = manager
        self.Initialization("SelectClassifierBusiness", self, parent)

    def initWEBAPILevel(self):
        self.Level = WebAPILevel.getClassifiers



    def Done(self, handler: WebClientInterface, **args):
        isWrong: int = RECODE_FAILURE
        from AppCore.DBModels import PreviewClassifierModel, CollectClassifierModel
        try:
            self.Handler = handler
            request: Request = Request.APIInstance(self.Level)
            request.data = {
                'Preview': PreviewClassifierModel.Classifiers(),
                'Collect': CollectClassifierModel.Classifiers(),
            }
            isWrong = self.WebSendFrame(request.toJson())

        except Exception as e:

            AppUtils.print_Exception(e)
        return
    def WaitDone(self, handler: WebClientInterface, **args) -> int:
        isWrong: int = RECODE_FAILURE
        from AppCore.DBModels import PreviewClassifierModel, CollectClassifierModel
        try:
            self.Handler = handler
            request: Request = Request.APIInstance(self.Level)
            request.data = {
                'Preview': PreviewClassifierModel.Classifiers(),
                'Collect': CollectClassifierModel.Classifiers(),
            }
            isWrong = self.WebSendFrame(request.toJson())

        except Exception as e:

            AppUtils.print_Exception(e)
        return isWrong

